.track {
  display: grid;
  align-items: center;
  grid-template-columns: auto auto 1fr 1fr auto auto;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  gap: 8px;
  color: #d5d5d5;
  padding: 6px;
  border-radius: 5px;
  transition: all 0.3s ease;
  &__index {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1rem;
    padding: 0 0.5rem;
    height: 30px;
      width: 30px;
    img {
      display: none;
      height: 30px;
      width: 30px;
      filter: var(--toWhite);
      &:hover {
        transform: scale(1.1);
      }
    }
  }
  &__cover {
    width: 50px;
    height: 50px;
  }
  &__song-info {
    display: grid;
    gap: 4px;
    color: #fff;
    h2 {
      font-size: 0.9rem;
      text-transform: capitalize;
    }
    p {
      font-size: 0.7rem;
    }
  }
  &__album {
    text-transform: capitalize;
  }
  &__fav {
    height: 25px;
    width: 25px;
    img {
      @extend .track__fav;
      filter: var(--toGreen);
    }
  }
  &:hover {
    transition: all 0.3s ease;
    background-color: #7d7d7d69;
    .track__index {
      p {
        display: none;
      }
      img {
        display: block;
      }
    }
  }
  &:active {
    transition: all 0.3s ease;
    background-color: #b1b1b169;
  }
}
